Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.cs.util
Class AdhocAPIConst

    java.lang.Object
      jet.cs.util.AdhocAPIConst

    public class AdhocAPIConst

extends java.lang.Object

Class `AdhocAPIConst` defines some constant values. These constant values can be used in JSPs(Java Server Pages).

Field Summary
`static java.lang.String` | `ADHOC_EMAIL_COMPRESS` ADHOC_EMAIL_COMPRESS the setting for the adhoc email compress
`static java.lang.String` | `ADHOC_EMAIL_MAIL_BOX` ADHOC_EMAIL_MAIL_BOX the setting for the adhoc email mail box
`static java.lang.String` | `ADHOC_EMAIL_MIAL_FORMAT` ADHOC_EMAIL_MIAL_FORMAT the setting for the adhoc email mail format
`static java.lang.String` | `ADHOC_EMAIL_NO_MARGIN` ADHOC_EMAIL_NO_MARGIN the setting for the adhoc email without margin
`static java.lang.String` | `ADHOC_EMAIL_SMTP_SERVER` ADHOC_EMAIL_SMTP_SERVER the setting for the adhoc email smtp server
`static java.lang.String` | `ADHOC_EMAIL_SMTP_SERVER_PORT` ADHOC_EMAIL_SMTP_SERVER_PORT the setting for the adhoc email smtp server port
`static java.lang.String` | `ADHOC_EXPORT_EXCEL_BREAK_PAGE` ADHOC_EXPORT_EXCEL_BREAK_PAGE the setting for the adhoc export to excel break page
`static java.lang.String` | `ADHOC_EXPORT_EXCEL_HIDE_GRID` ADHOC_EXPORT_EXCEL_HIDE_GRID the setting for the adhoc export to excel hide grid
`static java.lang.String` | `ADHOC_EXPORT_EXCEL_SHOW_OPTION` ADHOC_EXPORT_EXCEL_SHOW_OPTION the setting for the adhoc export to excel show option
`static java.lang.String` | `ADHOC_EXPORT_EXCEL_WORD_WRAP` ADHOC_EXPORT_EXCEL_WORD_WRAP the setting for the adhoc export to excel word wrap
`static java.lang.String` | `ADHOC_EXPORT_EXCEL_WRAP_STYLE` ADHOC_EXPORT_EXCEL_WRAP_STYLE the setting for the adhoc export to excel wrap style
`static java.lang.String` | `ADHOC_EXPORT_HTML_APPLET_CHART` ADHOC_EXPORT_HTML_APPLET_CHART the setting for the adhoc export to excel html with applet chart
`static java.lang.String` | `ADHOC_EXPORT_HTML_NO_HYPERLINK` ADHOC_EXPORT_HTML_NO_HYPERLINK the setting for the adhoc export to html hyperlink
`static java.lang.String` | `ADHOC_EXPORT_HTML_NO_PAGE_NUMBER` ADHOC_EXPORT_HTML_NO_PAGE_NUMBER the setting for the adhoc export to html without page number
`static java.lang.String` | `ADHOC_EXPORT_HTML_SHOW_OPTION` ADHOC_EXPORT_HTML_SHOW_OPTION the setting for the adhoc export to html show option
`static java.lang.String` | `ADHOC_EXPORT_HTML_SINGLE_FILE` ADHOC_EXPORT_HTML_SINGLE_FILE the setting for the adhoc export to html with only single file
`static java.lang.String` | `ADHOC_EXPORT_PDF_COMPRESS` ADHOC_EXPORT_PDF_MARGIN_COMPRESS the setting for the adhoc export to pdf compress
`static java.lang.String` | `ADHOC_EXPORT_PDF_DRILL_DOWN` ADHOC_EXPORT_PDF_DRILL_DOWN the setting for the adhoc export to pdf drill down
`static java.lang.String` | `ADHOC_EXPORT_PDF_ENCRYPT` ADHOC_EXPORT_PDF_MARGIN_ENCRYPT the setting for the adhoc export to pdf encrypt
`static java.lang.String` | `ADHOC_EXPORT_PDF_MARGIN_BOTTOM` ADHOC_EXPORT_PDF_MARGIN_BOTTOM the setting for the adhoc export to pdf margin bottom size
`static java.lang.String` | `ADHOC_EXPORT_PDF_MARGIN_LEFT` ADHOC_EXPORT_PDF_MARGIN_LEFT the setting for the adhoc export to pdf margin left size
`static java.lang.String` | `ADHOC_EXPORT_PDF_MARGIN_RIGHT` ADHOC_EXPORT_PDF_MARGIN_RIGHT the setting for the adhoc export to pdf margin right size
`static java.lang.String` | `ADHOC_EXPORT_PDF_MARGIN_TOP` ADHOC_EXPORT_PDF_MARGIN_TOP the setting for the adhoc export to pdf margin top size
`static java.lang.String` | `ADHOC_EXPORT_PDF_MODE` ADHOC_EXPORT_PDF_MODE the setting for the adhoc export to pdf mode
`static java.lang.String` | `ADHOC_EXPORT_PDF_RATIO` ADHOC_EXPORT_PDF_MARGIN_RATIO the setting for the adhoc export to pdf margin ratio size
`static java.lang.String` | `ADHOC_EXPORT_PDF_SHOW_OPTION` ADHOC_EXPORT_PDF_SHOW_OPTION the setting for the adhoc export to pdf show option
`static java.lang.String` | `ADHOC_EXPORT_PDF_TOC` ADHOC_EXPORT_PDF_TOC the setting for the adhoc export to pdf toc
`static java.lang.String` | `ADHOC_FILTER_SHOW_PANEL` ADHOC_FILTER_SHOW_PANEL the setting for the adhoc filter show panel
`static java.lang.String` | `ADHOC_GENERAL_DATE_FORMAT` ADHOC_GENERAL_DATE_FORMAT the data format type for the adhoc general page
`static java.lang.String` | `ADHOC_GENERAL_DECIMAL` ADHOC_GENERAL_DECIMAL the decimal setting for the adhoc general page
`static java.lang.String` | `ADHOC_GENERAL_ENCODING` ADHOC_GENERAL_ENCODING the unit setting for the adhoc general page
`static java.lang.String` | `ADHOC_GENERAL_NUMBER_FORMAT` ADHOC_GENERAL_NUMBER_FORMAT the number format type for the adhoc general page
`static java.lang.String` | `ADHOC_GENERAL_TIMEOUT` ADHOC_GENERAL_TIMEOUT the unit setting for the adhoc general page
`static java.lang.String` | `ADHOC_GENERAL_UNIT` ADHOC_GENERAL_UNIT the unit setting for the adhoc general page
`static java.lang.String` | `ADHOC_INSERT_CHART_TYPE` ADHOC_INSERT_CHART_TYPE the setting for the adhoc insert chart type
`static java.lang.String` | `ADHOC_INSERT_CROSSTAB_SHOW_SUBTOTAL` ADHOC_INSERT_CROSSTAB_SHOW_SUBTOTAL the setting for the adhoc show subtotal when insert crosstab
`static java.lang.String` | `ADHOC_INSERT_CROSSTAB_STYLE` ADHOC_INSERT_CROSSTAB_STYLE the setting for the adhoc insert crosstab style
`static java.lang.String` | `ADHOC_INSERT_LABLE_ALIGN` ADHOC_INSERT_LABLE_ALIGN the setting for the adhoc insert label align
`static java.lang.String` | `ADHOC_INSERT_LABLE_BOLD` ADHOC_INSERT_LABLE_BOLD the setting for the adhoc insert label bold
`static java.lang.String` | `ADHOC_INSERT_LABLE_FONT` ADHOC_INSERT_LABLE_FONT the setting for the adhoc insert label font
`static java.lang.String` | `ADHOC_INSERT_LABLE_FONT_SIZE` ADHOC_INSERT_LABLE_FONT_SIZE the setting for the adhoc insert label font size
`static java.lang.String` | `ADHOC_INSERT_LABLE_ITALIC` ADHOC_INSERT_LABLE_ITALIC the setting for the adhoc insert label italic
`static java.lang.String` | `ADHOC_INSERT_LABLE_UNDERLINE` ADHOC_INSERT_LABLE_UNDERLINE the setting for the adhoc insert label underline
`static java.lang.String` | `ADHOC_INSERT_LINE_COLOR` ADHOC_INSERT_LINE_COLOR the setting for the adhoc insert line color
`static java.lang.String` | `ADHOC_INSERT_LINE_STYLE` ADHOC_INSERT_LINE_STYLE the setting for the adhoc insert line style
`static java.lang.String` | `ADHOC_INSERT_LINE_WEIGHT` ADHOC_INSERT_LINE_WEIGHT the setting for the adhoc insert line weight
`static java.lang.String` | `ADHOC_INSERT_PARAMETER_TYPE` ADHOC_INSERT_PARAMETER_TYPE the setting for the adhoc insert parameter type
`static java.lang.String` | `ADHOC_INSERT_TABLE_STYLE` ADHOC_INSERT_TABLE_STYLE the setting for the adhoc insert table style
`static java.lang.String` | `ADHOC_PRINT_HEIGHT` ADHOC_PRINT_HEIGHT the setting for the adhoc print height size
`static java.lang.String` | `ADHOC_PRINT_MARGIN_BOTTOM` ADHOC_PRINT_MARGIN_BOTTOM the setting for the adhoc print margin bottom size
`static java.lang.String` | `ADHOC_PRINT_MARGIN_LEFT` ADHOC_PRINT_MARGIN_LEFT the setting for the adhoc print margin letf size
`static java.lang.String` | `ADHOC_PRINT_MARGIN_RIGHT` ADHOC_PRINT_MARGIN_RIGHT the setting for the adhoc print margin right size
`static java.lang.String` | `ADHOC_PRINT_MARGIN_TOP` ADHOC_PRINT_MARGIN_TOP the setting for the adhoc print margin top size
`static java.lang.String` | `ADHOC_PRINT_ORIENTATATION` ADHOC_PRINT_ORIENTATATION the setting for the adhoc print orientation
`static java.lang.String` | `ADHOC_PRINT_PAPER_TYPE` ADHOC_PRINT_PAPER_TYPE the setting for the adhoc print paper type
`static java.lang.String` | `ADHOC_PRINT_SEPARATE_LARGE_PAGE` ADHOC_PRINT_SEPARATE_LARGE_PAGE the setting for the adhoc separate large page when printing
`static java.lang.String` | `ADHOC_PRINT_SHOW_OPTION` ADHOC_PRINT_SHOW_OPTION the setting for the adhoc print show option
`static java.lang.String` | `ADHOC_PRINT_WIDTH` ADHOC_PRINT_WIDTH the setting for the adhoc print width size
`static java.lang.String` | `ADHOC_REPORT_ALLOW_DIFFERENT_MEASURE` ADHOC_REPORT_ALLOW_DIFFERENT_MEASURE the setting for the adhoc report, for measure of crosstab control in different aggr cell
`static java.lang.String` | `ADHOC_REPORT_CLOSE_PROMPT_SAVE` ADHOC_REPORT_CLOSE_PROMPT_SAVE the setting for the adhoc report page close prompt save
`static java.lang.String` | `ADHOC_REPORT_DATA_POOL_SIZE` ADHOC_REPORT_POOL_SIZE the setting for the adhoc report page tab data number
`static java.lang.String` | `ADHOC_REPORT_FONT_FACE` ADHOC_REPORT_FONT_FACE the setting for the adhoc report fontface,
`static java.lang.String` | `ADHOC_REPORT_FONT_SIZE` ADHOC_REPORT_FONT_SIZE the setting for the adhoc report fontsize,
`static java.lang.String` | `ADHOC_REPORT_HTML_CODE_SIZE` ADHOC_REPORT_HTML_CODE_SIZE the setting for the adhoc html code size,
`static java.lang.String` | `ADHOC_REPORT_HTML_CODE_SIZE_TYPE` ADHOC_REPORT_HTML_CODE_SIZE the setting for the adhoc html code size's type,
`static java.lang.String` | `ADHOC_REPORT_KEEP_MEASURE_NUMBER` ADHOC_REPORT_KEEP_MEASURE_NUMBER the setting for the adhoc report for measure of crosstab control in crosstab
`static java.lang.String` | `ADHOC_REPORT_KEEP_OLD` ADHOC_REPORT_KEEP_OLD the setting for the adhoc report, drill to detail action
`static java.lang.String` | `ADHOC_REPORT_POOL_SIZE` ADHOC_REPORT_POOL_SIZE the setting for the adhoc report page tab number
`static java.lang.String` | `ADHOC_REPORT_REMOVE_AFTER_PAGEBY` ADHOC_REPORT_REMOVE_AFTER_PAGEBY the setting for the adhoc report , for page by action
`static java.lang.String` | `ADHOC_REPORT_REMOVE_COMPLEX` ADHOC_REPORT_REMOVE_COMPLEX the setting for the adhoc report, remove action
`static java.lang.String` | `ADHOC_REPORT_REMOVE_CROSSTAB` ADHOC_REPORT_REMOVE_CROSSTAB the setting for the adhoc report , remove dimension of crosstab action
`static java.lang.String` | `ADHOC_REPORT_REPEAT` ADHOC_REPORT_REPEAT the setting for the adhoc report, data schema control
`static java.lang.String` | `ADHOC_REPORT_SHOW_BANNER` ADHOC_REPORT_SHOW_BANNER the setting for the adhoc report page show banner
`static java.lang.String` | `ADHOC_REPORT_SHOW_DSO` ADHOC_REPORT_SHOW_DSO the dso setting for the adhoc report page
`static java.lang.String` | `ADHOC_REPORT_SORT_NUMBER` ADHOC_REPORT_SORT_NUMBER the setting for the adhoc report, sort control
`static java.lang.String` | `ADHOC_REPORT_STYLE` ADHOC_REPORT_STYLE the setting for the adhoc report style
`static java.lang.String` | `ADHOC_REPORT_SYNCHRONIZE_COMPONET` ADHOC_REPORT_SYNCHRONIZE_COMPONET the setting for the adhoc report, action on components that use same data block
`static java.lang.String` | `ADHOC_REPORT_SYNCHRONIZE_DATASET` ADHOC_REPORT_SYNCHRONIZE_DATASET the setting for the adhoc report, control the data set when data block increased
`static java.lang.String` | `ADHOC_REPORT_TAB_NUMBER` ADHOC_REPORT_TAB_NUMBER the setting for the adhoc report page tab number
`static java.lang.String` | `ADHOC_REPORT_TABULAR_DEFAULT_TCELL_HEIGTH` ADHOC_REPORT_TABULAR_DEFAULT_TCELL_HEIGTH the setting for the adhoc report,
`static java.lang.String` | `ADHOC_REPORT_TABULAR_DEFAULT_TCELL_MIN_LENGTH` ADHOC_REPORT_TABULAR_DEFAULT_TCELL_HEIGTH the setting for the adhoc report,
`static java.lang.String` | `ADHOC_REPORT_TABULAR_DEFAULT_TCELL_WIDTH` ADHOC_REPORT_TABULAR_DEFAULT_TCELL_HEIGTH the setting for the adhoc report,
`static java.lang.String` | `ADHOC_REPORT_TABULAR_IS_ALL_COLUMN_EXPAND` ADHOC_REPORT_TABULAR_DEFAULT_TCELL_HEIGTH the setting for the adhoc report,
`static java.lang.String` | `ADHOC_REPORT_TABULAR_IS_ALL_ROW_EXPAND` ADHOC_REPORT_TABULAR_DEFAULT_TCELL_HEIGTH the setting for the adhoc report,
`static java.lang.String` | `ADHOC_REPORT_TABULAR_LAST_LINE_SHINK` ADHOC_REPORT_LAST_LINE_SHINK the setting for the adhoc report, for merge action of tabula
`static java.lang.String` | `ADHOC_REPORT_USE_DATA_SYMBOL` ADHOC_REPORT_USE_DATA_SYMBOL the setting for the adhoc report, for complex component bound data use
`static java.lang.String` | `ADHOC_REPORT_VO_POOL_SIZE` ADHOC_REPORT_POOL_SIZE the setting for the adhoc report page tab vo number
`static java.lang.String` | `ADHOC_SAVE_AS_EMBED_DRILL` ADHOC_SAVE_AS_EMBED_DRILL the setting for the adhoc save as embed dirll
`static java.lang.String` | `ADHOC_SAVE_AS_EMBED_FILTER` ADHOC_SAVE_AS_EMBED_FILTER the setting for the adhoc save as embed filter
`static java.lang.String` | `ADHOC_SAVE_AS_SAVE_TYPE` ADHOC_SAVE_AS_SAVE_TYPE the setting for the adhoc save as type
`static java.lang.String` | `ADHOC_SAVE_RESULT_COMPRESS` ADHOC_SAVE_RESULT_COMPRESS the setting for the adhoc save compress result
`static java.lang.String` | `ADHOC_SAVE_RESULT_SAVE_TYPE` ADHOC_SAVE_RESULT_SAVE_TYPE the setting for the adhoc save result type
`static java.lang.String` | `ADHOC_SAVE_TEMPLATE_EMBED_DRILL` ADHOC_SAVE_TEMPLATE_EMBED_DRILL the setting for the adhoc save template embed dirll
`static java.lang.String` | `ADHOC_SAVE_TEMPLATE_EMBED_FILTER` ADHOC_SAVE_TEMPLATE_EMBED_FILTER the setting for the adhoc save template embed filter
`static java.lang.String` | `ADHOC_SAVE_TEMPLATE_SAVE_TYPE` ADHOC_SAVE_TEMPLATE_SAVE_TYPE the setting for the adhoc save template type
`static java.lang.String` | `ADHOC_SAVE_TEMPLATE_VERSION` ADHOC_SAVE_TEMPLATE_VERSION the setting for the adhoc save template embed filter
`static java.lang.String` | `ADHOC_SEARCH_CONTENT` ADHOC_SEARCH_CONTENT the setting for the adhoc search content
`static java.lang.String` | `ADHOC_SEARCH_DIRECTION` ADHOC_SEARCH_DIRECTION the setting for the adhoc search direction
`static java.lang.String` | `ADHOC_SEARCH_MATCH_CASE` ADHOC_SEARCH_MATCH_CASE the setting for the adhoc search match case
`static java.lang.String` | `ADHOC_SEARCH_MATCH_WHOLE_WORD` ADHOC_SEARCH_MATCH_WHOLE_WORD the setting for the adhoc search match whole word
`static java.lang.String` | `ADHOC_SEARCH_SHOW_PANEL` ADHOC_SEARCH_SHOW_PANEL the setting for the adhoc search show panel
`static java.lang.String` | `ADHOC_SORT_ORDER` ADHOC_SORT_ORDER the setting for the adhoc sort order
`static java.lang.String` | `ADHOC_SORT_SHOW_PANEL` ADHOC_SORT_SHOW_PANEL the setting for the adhoc sort show panel
`static java.lang.String` | `ADHOC_TEST`
`static java.lang.String` | `CMD_GET_AHOC_PREFERENCE_PAGE` CMD_GET_AHOC_PREFERENCE_PAGE the command of report HTTP server(jrs.get_adhoc_preference_page).
`static java.lang.String` | `CMD_SUBMIT_CUSTOMIZE_ADHOC_PAGE` CMD_SUBMIT_CUSTOMIZE_ADHOC_PAGE the command of report HTTP server(jrs.submit_customize_adhoc_page).
`static java.lang.String` | `JRS_PREFIX` JRS_PREFIX the prefix of JReport HTTP query fields(jrs.).

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADHOC_GENERAL_NUMBER_FORMAT

    public static final java.lang.String ADHOC_GENERAL_NUMBER_FORMAT

  ADHOC_GENERAL_NUMBER_FORMAT the number format type for the adhoc general page

  See Also:
    Constant Field Values

### ADHOC_GENERAL_DATE_FORMAT

    public static final java.lang.String ADHOC_GENERAL_DATE_FORMAT

  ADHOC_GENERAL_DATE_FORMAT the data format type for the adhoc general page

  See Also:
    Constant Field Values

### ADHOC_GENERAL_DECIMAL

    public static final java.lang.String ADHOC_GENERAL_DECIMAL

  ADHOC_GENERAL_DECIMAL the decimal setting for the adhoc general page

  See Also:
    Constant Field Values

### ADHOC_GENERAL_UNIT

    public static final java.lang.String ADHOC_GENERAL_UNIT

  ADHOC_GENERAL_UNIT the unit setting for the adhoc general page

  See Also:
    Constant Field Values

### ADHOC_GENERAL_ENCODING

    public static final java.lang.String ADHOC_GENERAL_ENCODING

  ADHOC_GENERAL_ENCODING the unit setting for the adhoc general page

  See Also:
    Constant Field Values

### ADHOC_GENERAL_TIMEOUT

    public static final java.lang.String ADHOC_GENERAL_TIMEOUT

  ADHOC_GENERAL_TIMEOUT the unit setting for the adhoc general page

  See Also:
    Constant Field Values

### ADHOC_REPORT_SHOW_DSO

    public static final java.lang.String ADHOC_REPORT_SHOW_DSO

  ADHOC_REPORT_SHOW_DSO the dso setting for the adhoc report page

  See Also:
    Constant Field Values

### ADHOC_REPORT_SHOW_BANNER

    public static final java.lang.String ADHOC_REPORT_SHOW_BANNER

  ADHOC_REPORT_SHOW_BANNER the setting for the adhoc report page show banner

  See Also:
    Constant Field Values

### ADHOC_REPORT_CLOSE_PROMPT_SAVE

    public static final java.lang.String ADHOC_REPORT_CLOSE_PROMPT_SAVE

  ADHOC_REPORT_CLOSE_PROMPT_SAVE the setting for the adhoc report page close prompt save

  See Also:
    Constant Field Values

### ADHOC_REPORT_TAB_NUMBER

    public static final java.lang.String ADHOC_REPORT_TAB_NUMBER

  ADHOC_REPORT_TAB_NUMBER the setting for the adhoc report page tab number

  See Also:
    Constant Field Values

### ADHOC_REPORT_POOL_SIZE

    public static final java.lang.String ADHOC_REPORT_POOL_SIZE

  ADHOC_REPORT_POOL_SIZE the setting for the adhoc report page tab number

  See Also:
    Constant Field Values

### ADHOC_REPORT_VO_POOL_SIZE

    public static final java.lang.String ADHOC_REPORT_VO_POOL_SIZE

  ADHOC_REPORT_POOL_SIZE the setting for the adhoc report page tab vo number

  See Also:
    Constant Field Values

### ADHOC_REPORT_DATA_POOL_SIZE

    public static final java.lang.String ADHOC_REPORT_DATA_POOL_SIZE

  ADHOC_REPORT_POOL_SIZE the setting for the adhoc report page tab data number

  See Also:
    Constant Field Values

### ADHOC_REPORT_STYLE

    public static final java.lang.String ADHOC_REPORT_STYLE

  ADHOC_REPORT_STYLE the setting for the adhoc report style

  See Also:
    Constant Field Values

### ADHOC_REPORT_SORT_NUMBER

    public static final java.lang.String ADHOC_REPORT_SORT_NUMBER

  ADHOC_REPORT_SORT_NUMBER the setting for the adhoc report, sort control

  See Also:
    Constant Field Values

### ADHOC_REPORT_REPEAT

    public static final java.lang.String ADHOC_REPORT_REPEAT

  ADHOC_REPORT_REPEAT the setting for the adhoc report, data schema control

  See Also:
    Constant Field Values

### ADHOC_REPORT_KEEP_OLD

    public static final java.lang.String ADHOC_REPORT_KEEP_OLD

  ADHOC_REPORT_KEEP_OLD the setting for the adhoc report, drill to detail action

  See Also:
    Constant Field Values

### ADHOC_REPORT_REMOVE_COMPLEX

    public static final java.lang.String ADHOC_REPORT_REMOVE_COMPLEX

  ADHOC_REPORT_REMOVE_COMPLEX the setting for the adhoc report, remove action

  See Also:
    Constant Field Values

### ADHOC_REPORT_REMOVE_CROSSTAB

    public static final java.lang.String ADHOC_REPORT_REMOVE_CROSSTAB

  ADHOC_REPORT_REMOVE_CROSSTAB the setting for the adhoc report , remove dimension of crosstab action

  See Also:
    Constant Field Values

### ADHOC_REPORT_REMOVE_AFTER_PAGEBY

    public static final java.lang.String ADHOC_REPORT_REMOVE_AFTER_PAGEBY

  ADHOC_REPORT_REMOVE_AFTER_PAGEBY the setting for the adhoc report , for page by action

  See Also:
    Constant Field Values

### ADHOC_REPORT_SYNCHRONIZE_COMPONET

    public static final java.lang.String ADHOC_REPORT_SYNCHRONIZE_COMPONET

  ADHOC_REPORT_SYNCHRONIZE_COMPONET the setting for the adhoc report, action on components that use same data block

  See Also:
    Constant Field Values

### ADHOC_REPORT_SYNCHRONIZE_DATASET

    public static final java.lang.String ADHOC_REPORT_SYNCHRONIZE_DATASET

  ADHOC_REPORT_SYNCHRONIZE_DATASET the setting for the adhoc report, control the data set when data block increased

  See Also:
    Constant Field Values

### ADHOC_REPORT_ALLOW_DIFFERENT_MEASURE

    public static final java.lang.String ADHOC_REPORT_ALLOW_DIFFERENT_MEASURE

  ADHOC_REPORT_ALLOW_DIFFERENT_MEASURE the setting for the adhoc report, for measure of crosstab control in different aggr cell

  See Also:
    Constant Field Values

### ADHOC_REPORT_KEEP_MEASURE_NUMBER

    public static final java.lang.String ADHOC_REPORT_KEEP_MEASURE_NUMBER

  ADHOC_REPORT_KEEP_MEASURE_NUMBER the setting for the adhoc report for measure of crosstab control in crosstab

  See Also:
    Constant Field Values

### ADHOC_REPORT_USE_DATA_SYMBOL

    public static final java.lang.String ADHOC_REPORT_USE_DATA_SYMBOL

  ADHOC_REPORT_USE_DATA_SYMBOL the setting for the adhoc report, for complex component bound data use

  See Also:
    Constant Field Values

### ADHOC_REPORT_TABULAR_LAST_LINE_SHINK

    public static final java.lang.String ADHOC_REPORT_TABULAR_LAST_LINE_SHINK

  ADHOC_REPORT_LAST_LINE_SHINK the setting for the adhoc report, for merge action of tabula

  See Also:
    Constant Field Values

### ADHOC_REPORT_TABULAR_DEFAULT_TCELL_HEIGTH

    public static final java.lang.String ADHOC_REPORT_TABULAR_DEFAULT_TCELL_HEIGTH

  ADHOC_REPORT_TABULAR_DEFAULT_TCELL_HEIGTH the setting for the adhoc report,

  See Also:
    Constant Field Values

### ADHOC_REPORT_TABULAR_DEFAULT_TCELL_MIN_LENGTH

    public static final java.lang.String ADHOC_REPORT_TABULAR_DEFAULT_TCELL_MIN_LENGTH

  ADHOC_REPORT_TABULAR_DEFAULT_TCELL_HEIGTH the setting for the adhoc report,

  See Also:
    Constant Field Values

### ADHOC_REPORT_TABULAR_DEFAULT_TCELL_WIDTH

    public static final java.lang.String ADHOC_REPORT_TABULAR_DEFAULT_TCELL_WIDTH

  ADHOC_REPORT_TABULAR_DEFAULT_TCELL_HEIGTH the setting for the adhoc report,

  See Also:
    Constant Field Values

### ADHOC_REPORT_TABULAR_IS_ALL_COLUMN_EXPAND

    public static final java.lang.String ADHOC_REPORT_TABULAR_IS_ALL_COLUMN_EXPAND

  ADHOC_REPORT_TABULAR_DEFAULT_TCELL_HEIGTH the setting for the adhoc report,

  See Also:
    Constant Field Values

### ADHOC_REPORT_TABULAR_IS_ALL_ROW_EXPAND

    public static final java.lang.String ADHOC_REPORT_TABULAR_IS_ALL_ROW_EXPAND

  ADHOC_REPORT_TABULAR_DEFAULT_TCELL_HEIGTH the setting for the adhoc report,

  See Also:
    Constant Field Values

### ADHOC_REPORT_FONT_FACE

    public static final java.lang.String ADHOC_REPORT_FONT_FACE

  ADHOC_REPORT_FONT_FACE the setting for the adhoc report fontface,

  See Also:
    Constant Field Values

### ADHOC_REPORT_FONT_SIZE

    public static final java.lang.String ADHOC_REPORT_FONT_SIZE

  ADHOC_REPORT_FONT_SIZE the setting for the adhoc report fontsize,

  See Also:
    Constant Field Values

### ADHOC_REPORT_HTML_CODE_SIZE

    public static final java.lang.String ADHOC_REPORT_HTML_CODE_SIZE

  ADHOC_REPORT_HTML_CODE_SIZE the setting for the adhoc html code size,

  See Also:
    Constant Field Values

### ADHOC_REPORT_HTML_CODE_SIZE_TYPE

    public static final java.lang.String ADHOC_REPORT_HTML_CODE_SIZE_TYPE

  ADHOC_REPORT_HTML_CODE_SIZE the setting for the adhoc html code size's type,

  See Also:
    Constant Field Values

### ADHOC_EXPORT_PDF_SHOW_OPTION

    public static final java.lang.String ADHOC_EXPORT_PDF_SHOW_OPTION

  ADHOC_EXPORT_PDF_SHOW_OPTION the setting for the adhoc export to pdf show option

  See Also:
    Constant Field Values

### ADHOC_EXPORT_PDF_TOC

    public static final java.lang.String ADHOC_EXPORT_PDF_TOC

  ADHOC_EXPORT_PDF_TOC the setting for the adhoc export to pdf toc

  See Also:
    Constant Field Values

### ADHOC_EXPORT_PDF_DRILL_DOWN

    public static final java.lang.String ADHOC_EXPORT_PDF_DRILL_DOWN

  ADHOC_EXPORT_PDF_DRILL_DOWN the setting for the adhoc export to pdf drill down

  See Also:
    Constant Field Values

### ADHOC_EXPORT_PDF_MODE

    public static final java.lang.String ADHOC_EXPORT_PDF_MODE

  ADHOC_EXPORT_PDF_MODE the setting for the adhoc export to pdf mode

  See Also:
    Constant Field Values

### ADHOC_EXPORT_PDF_MARGIN_LEFT

    public static final java.lang.String ADHOC_EXPORT_PDF_MARGIN_LEFT

  ADHOC_EXPORT_PDF_MARGIN_LEFT the setting for the adhoc export to pdf margin left size

  See Also:
    Constant Field Values

### ADHOC_EXPORT_PDF_MARGIN_RIGHT

    public static final java.lang.String ADHOC_EXPORT_PDF_MARGIN_RIGHT

  ADHOC_EXPORT_PDF_MARGIN_RIGHT the setting for the adhoc export to pdf margin right size

  See Also:
    Constant Field Values

### ADHOC_EXPORT_PDF_MARGIN_TOP

    public static final java.lang.String ADHOC_EXPORT_PDF_MARGIN_TOP

  ADHOC_EXPORT_PDF_MARGIN_TOP the setting for the adhoc export to pdf margin top size

  See Also:
    Constant Field Values

### ADHOC_EXPORT_PDF_MARGIN_BOTTOM

    public static final java.lang.String ADHOC_EXPORT_PDF_MARGIN_BOTTOM

  ADHOC_EXPORT_PDF_MARGIN_BOTTOM the setting for the adhoc export to pdf margin bottom size

  See Also:
    Constant Field Values

### ADHOC_EXPORT_PDF_COMPRESS

    public static final java.lang.String ADHOC_EXPORT_PDF_COMPRESS

  ADHOC_EXPORT_PDF_MARGIN_COMPRESS the setting for the adhoc export to pdf compress

  See Also:
    Constant Field Values

### ADHOC_EXPORT_PDF_RATIO

    public static final java.lang.String ADHOC_EXPORT_PDF_RATIO

  ADHOC_EXPORT_PDF_MARGIN_RATIO the setting for the adhoc export to pdf margin ratio size

  See Also:
    Constant Field Values

### ADHOC_EXPORT_PDF_ENCRYPT

    public static final java.lang.String ADHOC_EXPORT_PDF_ENCRYPT

  ADHOC_EXPORT_PDF_MARGIN_ENCRYPT the setting for the adhoc export to pdf encrypt

  See Also:
    Constant Field Values

### ADHOC_EXPORT_EXCEL_SHOW_OPTION

    public static final java.lang.String ADHOC_EXPORT_EXCEL_SHOW_OPTION

  ADHOC_EXPORT_EXCEL_SHOW_OPTION the setting for the adhoc export to excel show option

  See Also:
    Constant Field Values

### ADHOC_EXPORT_EXCEL_HIDE_GRID

    public static final java.lang.String ADHOC_EXPORT_EXCEL_HIDE_GRID

  ADHOC_EXPORT_EXCEL_HIDE_GRID the setting for the adhoc export to excel hide grid

  See Also:
    Constant Field Values

### ADHOC_EXPORT_EXCEL_BREAK_PAGE

    public static final java.lang.String ADHOC_EXPORT_EXCEL_BREAK_PAGE

  ADHOC_EXPORT_EXCEL_BREAK_PAGE the setting for the adhoc export to excel break page

  See Also:
    Constant Field Values

### ADHOC_EXPORT_EXCEL_WORD_WRAP

    public static final java.lang.String ADHOC_EXPORT_EXCEL_WORD_WRAP

  ADHOC_EXPORT_EXCEL_WORD_WRAP the setting for the adhoc export to excel word wrap

  See Also:
    Constant Field Values

### ADHOC_EXPORT_EXCEL_WRAP_STYLE

    public static final java.lang.String ADHOC_EXPORT_EXCEL_WRAP_STYLE

  ADHOC_EXPORT_EXCEL_WRAP_STYLE the setting for the adhoc export to excel wrap style

  See Also:
    Constant Field Values

### ADHOC_EXPORT_HTML_SHOW_OPTION

    public static final java.lang.String ADHOC_EXPORT_HTML_SHOW_OPTION

  ADHOC_EXPORT_HTML_SHOW_OPTION the setting for the adhoc export to html show option

  See Also:
    Constant Field Values

### ADHOC_EXPORT_HTML_NO_HYPERLINK

    public static final java.lang.String ADHOC_EXPORT_HTML_NO_HYPERLINK

  ADHOC_EXPORT_HTML_NO_HYPERLINK the setting for the adhoc export to html hyperlink

  See Also:
    Constant Field Values

### ADHOC_EXPORT_HTML_NO_PAGE_NUMBER

    public static final java.lang.String ADHOC_EXPORT_HTML_NO_PAGE_NUMBER

  ADHOC_EXPORT_HTML_NO_PAGE_NUMBER the setting for the adhoc export to html without page number

  See Also:
    Constant Field Values

### ADHOC_EXPORT_HTML_SINGLE_FILE

    public static final java.lang.String ADHOC_EXPORT_HTML_SINGLE_FILE

  ADHOC_EXPORT_HTML_SINGLE_FILE the setting for the adhoc export to html with only single file

  See Also:
    Constant Field Values

### ADHOC_EXPORT_HTML_APPLET_CHART

    public static final java.lang.String ADHOC_EXPORT_HTML_APPLET_CHART

  ADHOC_EXPORT_HTML_APPLET_CHART the setting for the adhoc export to excel html with applet chart

  See Also:
    Constant Field Values

### ADHOC_PRINT_SHOW_OPTION

    public static final java.lang.String ADHOC_PRINT_SHOW_OPTION

  ADHOC_PRINT_SHOW_OPTION the setting for the adhoc print show option

  See Also:
    Constant Field Values

### ADHOC_PRINT_SEPARATE_LARGE_PAGE

    public static final java.lang.String ADHOC_PRINT_SEPARATE_LARGE_PAGE

  ADHOC_PRINT_SEPARATE_LARGE_PAGE the setting for the adhoc separate large page when printing

  See Also:
    Constant Field Values

### ADHOC_PRINT_ORIENTATATION

    public static final java.lang.String ADHOC_PRINT_ORIENTATATION

  ADHOC_PRINT_ORIENTATATION the setting for the adhoc print orientation

  See Also:
    Constant Field Values

### ADHOC_PRINT_PAPER_TYPE

    public static final java.lang.String ADHOC_PRINT_PAPER_TYPE

  ADHOC_PRINT_PAPER_TYPE the setting for the adhoc print paper type

  See Also:
    Constant Field Values

### ADHOC_PRINT_WIDTH

    public static final java.lang.String ADHOC_PRINT_WIDTH

  ADHOC_PRINT_WIDTH the setting for the adhoc print width size

  See Also:
    Constant Field Values

### ADHOC_PRINT_HEIGHT

    public static final java.lang.String ADHOC_PRINT_HEIGHT

  ADHOC_PRINT_HEIGHT the setting for the adhoc print height size

  See Also:
    Constant Field Values

### ADHOC_PRINT_MARGIN_LEFT

    public static final java.lang.String ADHOC_PRINT_MARGIN_LEFT

  ADHOC_PRINT_MARGIN_LEFT the setting for the adhoc print margin letf size

  See Also:
    Constant Field Values

### ADHOC_PRINT_MARGIN_RIGHT

    public static final java.lang.String ADHOC_PRINT_MARGIN_RIGHT

  ADHOC_PRINT_MARGIN_RIGHT the setting for the adhoc print margin right size

  See Also:
    Constant Field Values

### ADHOC_PRINT_MARGIN_TOP

    public static final java.lang.String ADHOC_PRINT_MARGIN_TOP

  ADHOC_PRINT_MARGIN_TOP the setting for the adhoc print margin top size

  See Also:
    Constant Field Values

### ADHOC_PRINT_MARGIN_BOTTOM

    public static final java.lang.String ADHOC_PRINT_MARGIN_BOTTOM

  ADHOC_PRINT_MARGIN_BOTTOM the setting for the adhoc print margin bottom size

  See Also:
    Constant Field Values

### ADHOC_EMAIL_SMTP_SERVER

    public static final java.lang.String ADHOC_EMAIL_SMTP_SERVER

  ADHOC_EMAIL_SMTP_SERVER the setting for the adhoc email smtp server

  See Also:
    Constant Field Values

### ADHOC_EMAIL_SMTP_SERVER_PORT

    public static final java.lang.String ADHOC_EMAIL_SMTP_SERVER_PORT

  ADHOC_EMAIL_SMTP_SERVER_PORT the setting for the adhoc email smtp server port

  See Also:
    Constant Field Values

### ADHOC_EMAIL_MAIL_BOX

    public static final java.lang.String ADHOC_EMAIL_MAIL_BOX

  ADHOC_EMAIL_MAIL_BOX the setting for the adhoc email mail box

  See Also:
    Constant Field Values

### ADHOC_EMAIL_MIAL_FORMAT

    public static final java.lang.String ADHOC_EMAIL_MIAL_FORMAT

  ADHOC_EMAIL_MIAL_FORMAT the setting for the adhoc email mail format

  See Also:
    Constant Field Values

### ADHOC_EMAIL_COMPRESS

    public static final java.lang.String ADHOC_EMAIL_COMPRESS

  ADHOC_EMAIL_COMPRESS the setting for the adhoc email compress

  See Also:
    Constant Field Values

### ADHOC_EMAIL_NO_MARGIN

    public static final java.lang.String ADHOC_EMAIL_NO_MARGIN

  ADHOC_EMAIL_NO_MARGIN the setting for the adhoc email without margin

  See Also:
    Constant Field Values

### ADHOC_SAVE_RESULT_SAVE_TYPE

    public static final java.lang.String ADHOC_SAVE_RESULT_SAVE_TYPE

  ADHOC_SAVE_RESULT_SAVE_TYPE the setting for the adhoc save result type

  See Also:
    Constant Field Values

### ADHOC_SAVE_RESULT_COMPRESS

    public static final java.lang.String ADHOC_SAVE_RESULT_COMPRESS

  ADHOC_SAVE_RESULT_COMPRESS the setting for the adhoc save compress result

  See Also:
    Constant Field Values

### ADHOC_SAVE_TEMPLATE_SAVE_TYPE

    public static final java.lang.String ADHOC_SAVE_TEMPLATE_SAVE_TYPE

  ADHOC_SAVE_TEMPLATE_SAVE_TYPE the setting for the adhoc save template type

  See Also:
    Constant Field Values

### ADHOC_SAVE_TEMPLATE_EMBED_DRILL

    public static final java.lang.String ADHOC_SAVE_TEMPLATE_EMBED_DRILL

  ADHOC_SAVE_TEMPLATE_EMBED_DRILL the setting for the adhoc save template embed dirll

  See Also:
    Constant Field Values

### ADHOC_SAVE_TEMPLATE_EMBED_FILTER

    public static final java.lang.String ADHOC_SAVE_TEMPLATE_EMBED_FILTER

  ADHOC_SAVE_TEMPLATE_EMBED_FILTER the setting for the adhoc save template embed filter

  See Also:
    Constant Field Values

### ADHOC_SAVE_TEMPLATE_VERSION

    public static final java.lang.String ADHOC_SAVE_TEMPLATE_VERSION

  ADHOC_SAVE_TEMPLATE_VERSION the setting for the adhoc save template embed filter

  See Also:
    Constant Field Values

### ADHOC_SAVE_AS_SAVE_TYPE

    public static final java.lang.String ADHOC_SAVE_AS_SAVE_TYPE

  ADHOC_SAVE_AS_SAVE_TYPE the setting for the adhoc save as type

  See Also:
    Constant Field Values

### ADHOC_SAVE_AS_EMBED_DRILL

    public static final java.lang.String ADHOC_SAVE_AS_EMBED_DRILL

  ADHOC_SAVE_AS_EMBED_DRILL the setting for the adhoc save as embed dirll

  See Also:
    Constant Field Values

### ADHOC_SAVE_AS_EMBED_FILTER

    public static final java.lang.String ADHOC_SAVE_AS_EMBED_FILTER

  ADHOC_SAVE_AS_EMBED_FILTER the setting for the adhoc save as embed filter

  See Also:
    Constant Field Values

### ADHOC_INSERT_CROSSTAB_STYLE

    public static final java.lang.String ADHOC_INSERT_CROSSTAB_STYLE

  ADHOC_INSERT_CROSSTAB_STYLE the setting for the adhoc insert crosstab style

  See Also:
    Constant Field Values

### ADHOC_INSERT_CROSSTAB_SHOW_SUBTOTAL

    public static final java.lang.String ADHOC_INSERT_CROSSTAB_SHOW_SUBTOTAL

  ADHOC_INSERT_CROSSTAB_SHOW_SUBTOTAL the setting for the adhoc show subtotal when insert crosstab

  See Also:
    Constant Field Values

### ADHOC_INSERT_TABLE_STYLE

    public static final java.lang.String ADHOC_INSERT_TABLE_STYLE

  ADHOC_INSERT_TABLE_STYLE the setting for the adhoc insert table style

  See Also:
    Constant Field Values

### ADHOC_INSERT_CHART_TYPE

    public static final java.lang.String ADHOC_INSERT_CHART_TYPE

  ADHOC_INSERT_CHART_TYPE the setting for the adhoc insert chart type

  See Also:
    Constant Field Values

### ADHOC_INSERT_LABLE_ALIGN

    public static final java.lang.String ADHOC_INSERT_LABLE_ALIGN

  ADHOC_INSERT_LABLE_ALIGN the setting for the adhoc insert label align

  See Also:
    Constant Field Values

### ADHOC_INSERT_LABLE_FONT

    public static final java.lang.String ADHOC_INSERT_LABLE_FONT

  ADHOC_INSERT_LABLE_FONT the setting for the adhoc insert label font

  See Also:
    Constant Field Values

### ADHOC_INSERT_LABLE_FONT_SIZE

    public static final java.lang.String ADHOC_INSERT_LABLE_FONT_SIZE

  ADHOC_INSERT_LABLE_FONT_SIZE the setting for the adhoc insert label font size

  See Also:
    Constant Field Values

### ADHOC_INSERT_LABLE_BOLD

    public static final java.lang.String ADHOC_INSERT_LABLE_BOLD

  ADHOC_INSERT_LABLE_BOLD the setting for the adhoc insert label bold

  See Also:
    Constant Field Values

### ADHOC_INSERT_LABLE_ITALIC

    public static final java.lang.String ADHOC_INSERT_LABLE_ITALIC

  ADHOC_INSERT_LABLE_ITALIC the setting for the adhoc insert label italic

  See Also:
    Constant Field Values

### ADHOC_INSERT_LABLE_UNDERLINE

    public static final java.lang.String ADHOC_INSERT_LABLE_UNDERLINE

  ADHOC_INSERT_LABLE_UNDERLINE the setting for the adhoc insert label underline

  See Also:
    Constant Field Values

### ADHOC_INSERT_LINE_STYLE

    public static final java.lang.String ADHOC_INSERT_LINE_STYLE

  ADHOC_INSERT_LINE_STYLE the setting for the adhoc insert line style

  See Also:
    Constant Field Values

### ADHOC_INSERT_LINE_COLOR

    public static final java.lang.String ADHOC_INSERT_LINE_COLOR

  ADHOC_INSERT_LINE_COLOR the setting for the adhoc insert line color

  See Also:
    Constant Field Values

### ADHOC_INSERT_LINE_WEIGHT

    public static final java.lang.String ADHOC_INSERT_LINE_WEIGHT

  ADHOC_INSERT_LINE_WEIGHT the setting for the adhoc insert line weight

  See Also:
    Constant Field Values

### ADHOC_INSERT_PARAMETER_TYPE

    public static final java.lang.String ADHOC_INSERT_PARAMETER_TYPE

  ADHOC_INSERT_PARAMETER_TYPE the setting for the adhoc insert parameter type

  See Also:
    Constant Field Values

### ADHOC_SEARCH_SHOW_PANEL

    public static final java.lang.String ADHOC_SEARCH_SHOW_PANEL

  ADHOC_SEARCH_SHOW_PANEL the setting for the adhoc search show panel

  See Also:
    Constant Field Values

### ADHOC_SEARCH_CONTENT

    public static final java.lang.String ADHOC_SEARCH_CONTENT

  ADHOC_SEARCH_CONTENT the setting for the adhoc search content

  See Also:
    Constant Field Values

### ADHOC_SEARCH_MATCH_CASE

    public static final java.lang.String ADHOC_SEARCH_MATCH_CASE

  ADHOC_SEARCH_MATCH_CASE the setting for the adhoc search match case

  See Also:
    Constant Field Values

### ADHOC_SEARCH_MATCH_WHOLE_WORD

    public static final java.lang.String ADHOC_SEARCH_MATCH_WHOLE_WORD

  ADHOC_SEARCH_MATCH_WHOLE_WORD the setting for the adhoc search match whole word

  See Also:
    Constant Field Values

### ADHOC_SEARCH_DIRECTION

    public static final java.lang.String ADHOC_SEARCH_DIRECTION

  ADHOC_SEARCH_DIRECTION the setting for the adhoc search direction

  See Also:
    Constant Field Values

### ADHOC_FILTER_SHOW_PANEL

    public static final java.lang.String ADHOC_FILTER_SHOW_PANEL

  ADHOC_FILTER_SHOW_PANEL the setting for the adhoc filter show panel

  See Also:
    Constant Field Values

### ADHOC_SORT_SHOW_PANEL

    public static final java.lang.String ADHOC_SORT_SHOW_PANEL

  ADHOC_SORT_SHOW_PANEL the setting for the adhoc sort show panel

  See Also:
    Constant Field Values

### ADHOC_TEST

    public static final java.lang.String ADHOC_TEST

See Also:
  Constant Field Values

### ADHOC_SORT_ORDER

    public static final java.lang.String ADHOC_SORT_ORDER

  ADHOC_SORT_ORDER the setting for the adhoc sort order

  See Also:
    Constant Field Values

### JRS_PREFIX

    public static final java.lang.String JRS_PREFIX

  JRS_PREFIX the prefix of JReport HTTP query fields(jrs.).

### CMD_GET_AHOC_PREFERENCE_PAGE

    public static final java.lang.String CMD_GET_AHOC_PREFERENCE_PAGE

  CMD_GET_AHOC_PREFERENCE_PAGE the command of report HTTP server(jrs.get_adhoc_preference_page).

### CMD_SUBMIT_CUSTOMIZE_ADHOC_PAGE

    public static final java.lang.String CMD_SUBMIT_CUSTOMIZE_ADHOC_PAGE

  CMD_SUBMIT_CUSTOMIZE_ADHOC_PAGE the command of report HTTP server(jrs.submit_customize_adhoc_page).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD